DROP LANGUAGE()

NAME
DROP LANGUAGE - remove a procedural language

SYNOPSIS

DROP [ PROCEDURAL ] LANGUAGE [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP LANGUAGE will remove the definition of the previously registered procedural language called name.

PARAMETERS

IF EXISTS
    Do not throw an error if the function does not exist. A notice is issued in this case.

name
    The name of an existing procedural language. For backward compatibility, the name may be enclosed by single quotes.

CASCADE
    Automatically drop objects that depend on the language (such as functions in the language).

RESTRICT
    Refuse to drop the language if any objects depend on it. This is the default.

EXAMPLES

This command removes the procedural language plsample:

DROP LANGUAGE plsample;

COMPATIBILITY

There is no DROP LANGUAGE statement in the SQL standard.

SEE ALSO
ALTER LANGUAGE [alter_language(7)], CREATE LANGUAGE [create_language(l)], droplang(1)